# `arclist`文档列表
根据参数条件获取指定文档列表

## 适用版本
V5、V6

## 标签类型
全局标签

## 基本语法
```
{dede:arclist flag='h' typeid='' row='' col='' titlelen='' infolen='' imgwidth='' imgheight='' listtype='' orderby='' keyword='' limit='0,1'}
<a href='[field:arcurl/]'>[field:title/]</a>
{/dede:arclist}
```

## 标签属性
- `col`：分多少列显示（默认为单列），可以通过多种方式进行多行显示
- `row`：返回文档列表总数
- `typeid`：栏目ID,在列表模板和档案模板中一般不需要指定，在首页模板中允许用","分开表示多个栏目
- `getall`：在没有指定这属性的情况下,在栏目页、文章页模板,不会获取以","分开的多个栏目的下级子类
- `titlelen`：标题长度 等同于titlelength
- `infolen`：表示内容简介长度 等同于infolength
- `imgwidth`：缩略图宽度
- `imgheight`：缩略图高度
- `listtype`：栏目类型 image含有缩略图 commend推荐
- `orderby`：文档排序方式
- `keyword`：含有指定关键字的文档列表，多个关键字用","分
- `innertext`：单条记录样式
- `aid`：指定文档ID
- `idlist`：提取特定文档（文档ID）
- `channelid`：频道ID
- `limit`：（起始ID从0开始）表示限定的记录范围（如：limit='1,2' 表示从ID为1的记录开始，取2条记录
- `flag`：自定义属性值：头条[h]推荐[c]图片[p]幻灯[f]滚动[s]跳转[j]图文[a]加粗[b]
- `noflag`：同flag，但这里是表示不包含这些属性
- `orderway`：值为 desc 或 asc ，指定排序方式是降序还是顺向排序，默认为降序
- `subday`：表示在多少天以内的文档

## 标签内标记
- `id`：内容唯一健ID
- `title`：标题
- `info`：描述信息，根据`infolen`截取的描述信息
- `arcurl`：内容地址
- `filename`：同`arcurl`
- `typeurl`：栏目地址
- `litpic`：缩略图地址
- `picname`：同`litpic`