# DedeBIZ系统概况
国内流行的内容管理系统（CMS）多端全媒体解决方案，DedeBIZ系统基于PHP7.X开发，具有很强的可扩展性，并且完全开放源代码。DedeBIZ商业支持采用现流行的Go语言设计开发，让Dede系统拥有简单易用、灵活扩展特性之外更安全、高效。模板设计制作简单一直是系统的一大特点，全新的版本延续了之前标签引擎，同时采用响应式模板引擎Bootstrap作为系统模板渲染引擎，让搭建跨终端（移动、PC）全媒体站点更简单。

目前，基于Dede衍生出来的系统也丰富多样，得到业界广泛肯定。继DedeBIZ之后，由DedeCMS系统核心开发成员牵头组建的DedeBIZ（Dede商业支持团队），将继续承担Dede系统后续的设计、开发和维护工作，为Dede生态提供更有力、更全面、更系统化的保障。DedeBIZ将会联合开发者共同开创一个新生态，助力中国互联网攀升新高度、共享新未来。

## DedeBIZ特性
1.更加合理的站点目录结构，动静态分离、读写分离，提升系统安全性；

2.延续Dede系统免费、开源特性，无论面向个人还是企业，您都无需向我们支付任何费用，也可以享受系统带来的便捷；

3.移除Flash等陈旧的技术，增加HTML5支持，未来也将更多采用新的HTML相关技术；

4.国际化编码支持，主要支持UTF-8字符编码；

5.丰富的接口扩展，支持第三方及跨站进行数据调用；

6.响应式布局支持，采用Bootstrap响应式渲染引擎，驱动多端适配；

7.PHP7.x及更高版本的兼容支持，未来将会以PHP7、PHP8为主；

8.增加模块、模板打包开发者签名校验，保障Dede生态的安全性、完整性；

9.采用Go增加系统商业扩展，让DedeBIZ系统更安全、高效；

10.完全拥抱开源，代码采用Git托管，让开发者方便参与到系统中来，开发全过程透明；

## 平台需求
1.操作系统：Linux（推荐）、Windows、OpenBSD等 

2.PHP：PHP7及以上版本，需要开启：GD（验证码支持）、MySQLi（数据库）、OpenSSL（商业支持扩展）

3.MySQL：MySQL5及以上版本 

## 其他
具体搭建步骤可参考[环境搭建](quick_env.md)。 

## 文档编写规则

### 格式
文档统一采用Markdown格式，可参考[Markdown手册](other_markdown.md)中具体格式。

### 命名
全局性质的文档，可以以单个的单词命名，比如系统介绍（intro.md）、许可协议（license.md），如果是一组文档，例如：快速入门，需要以统一的前缀命名，例如：环境搭建（quick_env.md）、下载安装（quick_download.md）。

### 链接
如果是外部网址，需要采用`[这里写](https://www.zhelixie.com)`这种方式，如果是站点地址则采用绝对地址，例如：`[许可协议](/license)`，如果是文档内部链接，则直接采用`.md`后缀结尾文件，例如：`[环境搭建](quick_env·md)`（这里的`·`改为`.`）。
