# 升级系统

## 升级到DedeBIZ系统
适用于SP1、SP2系统升级到DedeBIZ，由于DedeBIZ以后统一采用UTF-8编码，所以本程序会自动将数据库GBK编码转化为UTF-8编码。

### 提示
升级之前请做好您的站点数据备份。

### 升级步骤
1.将当前系统进行备份，备份分为2个部分：文件、数据库，数据库可以采用后台【系统设置】中【数据库备份/还原】功能或者采用PHPMyadmin等第三方工具，来备份数据库，文件直接通过[S]FTP相关工具来备份到本地；

2.进入[下载页面](https://www.dedebiz.com/download)，找到升级程序并下载。

3.解压升级程序到系统根目录下，例如您的站点域名是`https://www.dedebiz.com`，解压后能够通过`https://www.dedebiz.com/tov6/index.php`访问升级程序；

4.根据提示信息执行升级程序；

5.[下载DedeBIZ](https://www.dedebiz.com/download)系统，选择性覆盖对应文件（如果原系统已经被更改，建议建立git库，然后差异修改，以保证代码统一）；

6.删除`/tov6`升级程序目录，完成升级；

## 版本升级
从6.2.5开始，系统内置自动升级功能，用户可以在系统后台中“版本授权”中，点击“软件更新”按钮进行系统版本升级。

![版本升级](images/to-v6-1.png)